package com.katr.spinnerdemo;

/*
 * 10/29/2010
 * Author: Bill Johnson - KATR Software Incorporated
 * Original Tutorial URL: http://www.katr.com/article_spinner01.php
 * http://www.katr.com 
 * 
 * If you like this example, please support the author by purchasing the "Halloween Eyes" live
 * wallpaper from the android market.  C'mon, it's only $0.99.
 * 
 */
import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Spinner;
import android.widget.Toast;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.*;


public class MainScreen extends Activity implements OnClickListener, OnItemSelectedListener {
    static Spinner spinner = null;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        // Step 1: Locate our spinner control and save it to the class for convenience
        //         You could get it every time, I'm just being lazy...   :-)
        spinner = (Spinner)this.findViewById(R.id.Spinner01);
        
        // Step 2: Create and fill an ArrayAdapter with a bunch of "State" objects
        ArrayAdapter<State> spinnerArrayAdapter = new ArrayAdapter<State>(this,
              android.R.layout.simple_spinner_item, new State[] {	
        			new State( 1, "Minnesota", "MN" ), 
        			new State( 99, "Wisconsin", "WI" ), 
        			new State( 53, "Utah", "UT" ), 
        			new State( 153, "Texas", "TX" ) 
        			});
        
        // Step 3: Tell the spinner about our adapter
        spinner.setAdapter(spinnerArrayAdapter);
        
        // Tell the spinner what to do when an item is changed
        spinner.setOnItemSelectedListener(this);
         
        // Find our button and hook-up the click routine
        Button button = (Button)this.findViewById(R.id.Button01);
        button.setOnClickListener(this);
    }

    public void toastState( String prefix, State st )
    {
    	if ( st != null )
    	{
    		String desc = "Event: " + prefix + "\nstate: " + st.name;
    		desc += "\nabbreviation: " + st.abbrev + "\nid: " + String.valueOf( st.id );
			Toast.makeText(getApplicationContext(), desc, Toast.LENGTH_SHORT).show();
    	}
    }
    
    public void onItemSelected(AdapterView<?> parent, View view, int position, long id) 
    {
    	// Get the currently selected State object from the spinner
    	State st = (State)spinner.getSelectedItem();
    	
    	// Show it via a toast
   		toastState( "onItemSelected", st );
    } 
    
    public void onNothingSelected(AdapterView<?> parent ) 
    { 
    }

    // This click routine is simply here to show you how to get the current spinner item outside of
    // a spinner generated event.  You'll notice that it is identical to the code use in the 
    // onItemSelected event.
    public void onClick(View v )
    {
    	// Get the currently selected State object from the spinner
    	State st = (State)spinner.getSelectedItem();
    	
    	// Show it via a toast
   		toastState( "onClick", st );
    }

    
}